The Directory class

- « Predefined Constants

- Directory::close »

- PHP Manual
- Directories
- The Directory class

# The Directory class

(PHP 4, PHP 5, PHP 7, PHP 8)

## Introduction

Instances of Directory are created by calling the dir() function, not by the new operator.

## Class synopsis

class Directory {
/* Properties */
public readonly string $path;
public readonly resource $handle;
/* Methods */
public close(): void
public read(): string|false
public rewind(): void
}

## Properties

path

  The directory that was opened.

handle

  Can be used with other directory functions such as readdir(), rewinddir() and closedir().

## Changelog

Version | Description
--- | ---
8.1.0 | The path and handle properties are now readonly.

## Table of Contents

- Directory::close — Close directory handle
- Directory::read — Read entry from directory handle
- Directory::rewind — Rewind directory handle